summaryrefslogtreecommitdiff
path: root/graphics/asymptote/patches/dvipdf
diff options
context:
space:
mode:
authorNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
committerNorbert Preining <norbert@preining.info>2019-09-02 13:46:59 +0900
commite0c6872cf40896c7be36b11dcc744620f10adf1d (patch)
tree60335e10d2f4354b0674ec22d7b53f0f8abee672 /graphics/asymptote/patches/dvipdf
Initial commit
Diffstat (limited to 'graphics/asymptote/patches/dvipdf')
-rwxr-xr-xgraphics/asymptote/patches/dvipdf54
1 files changed, 54 insertions, 0 deletions
diff --git a/graphics/asymptote/patches/dvipdf b/graphics/asymptote/patches/dvipdf
new file mode 100755
index 0000000000..36dbe4206b
--- /dev/null
+++ b/graphics/asymptote/patches/dvipdf
@@ -0,0 +1,54 @@
+#!/bin/sh
+# $Id$
+# Convert DVI to PDF.
+#
+# Please contact Andrew Ford <A.Ford@ford-mason.co.uk> with any questions
+# about this file.
+#
+# Based on ps2pdf
+
+# This definition is changed on install to match the
+# executable name set in the makefile
+GS_EXECUTABLE=gs
+
+
+OPTIONS="-DSAFER -P"
+DVIPSOPTIONS=""
+while true
+do
+ case "$1" in
+ -R*) DVIPSOPTIONS="$DVIPSOPTIONS $1";;
+ -z) DVIPSOPTIONS="$DVIPSOPTIONS -z" ;;
+ -pp) shift; DVIPSOPTIONS="$DVIPSOPTIONS -pp $1" ;;
+ -p) shift; DVIPSOPTIONS="$DVIPSOPTIONS -p $1" ;;
+ -t) shift; DVIPSOPTIONS="$DVIPSOPTIONS -t $1" ;;
+ -T) shift; DVIPSOPTIONS="$DVIPSOPTIONS -T $1" ;;
+ -l) shift; DVIPSOPTIONS="$DVIPSOPTIONS -l $1" ;;
+ -?*) OPTIONS="$OPTIONS $1" ;;
+ *) break ;;
+ esac
+ shift
+done
+
+if [ $# -lt 1 -o $# -gt 2 ]; then
+ echo "Usage: `basename $0` [options...] input.dvi [output.pdf]" 1>&2
+ exit 1
+fi
+
+infile=$1;
+
+if [ $# -eq 1 ]
+then
+ case "${infile}" in
+ *.dvi) base=`basename "${infile}" .dvi` ;;
+ *) base=`basename "${infile}"` ;;
+ esac
+ outfile="${base}".pdf
+else
+ outfile=$2
+fi
+
+# We have to include the options twice because -I only takes effect if it
+# appears before other options.
+exec dvips $DVIPSOPTIONS -q -f "$infile" | $GS_EXECUTABLE $OPTIONS -q -dNOPAUSE -dBATCH -sDEVICE=pdfwrite -sstdout=%stderr -sOutputFile="$outfile" $OPTIONS -c .setpdfwrite -
+